## com.google.appengine.api.xmpp
Class Message

    java.lang.Object
      com.google.appengine.api.xmpp.Message

    public class Message

extends java.lang.Object

Class that represents an XMPP message. `Message` objects can be constructed (via `MessageBuilder` and sent as outgoing messages, or can be parsed as incoming messages by `XMPPService.parseMessage(HttpServletRequest)`.

Method Summary
`java.lang.String` `getBody()`
`JID` `getFromJid()`
`MessageType` `getMessageType()`
`JID[]` `getRecipientJids()`
`java.lang.String` `getStanza()` This returns the entire XML message stanza for incoming XMPP messages.
`boolean` `isXml()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMessageType

    public MessageType getMessageType()

### isXml

    public boolean isXml()

### getBody

    public java.lang.String getBody()

### getFromJid

    public JID getFromJid()

### getRecipientJids

    public JID[] getRecipientJids()

### getStanza

    public java.lang.String getStanza()

  This returns the entire XML message stanza for incoming XMPP messages. For outgoing messages, this field will be ignored.